Package org.silverpeas.components.scheduleevent.servlets.handlers

## Class ScheduleEventSimpleFormRequestHandler

- java.lang.Object
- - org.silverpeas.components.scheduleevent.servlets.handlers.ScheduleEventSimpleFormRequestHandler

- All Implemented Interfaces:
    `ScheduleEventBackableRequestHandler`, `ScheduleEventRequestHandler`

      public class ScheduleEventSimpleFormRequestHandler
      extends Object
      implements ScheduleEventBackableRequestHandler

- - ### Field Summary

    - ### Fields inherited from interface org.silverpeas.components.scheduleevent.servlets.handlers.ScheduleEventRequestHandler

      `CURRENT_SCHEDULE_EVENT, FORMATTER_TMP_ID, LAST_DATE, LIST_SCHEDULE_EVENT, SCHEDULE_EVENT_DETAIL`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ScheduleEventSimpleFormRequestHandler​(String jspDestination)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getBackDestination​(String function, ScheduleEventSessionController scheduleeventSC, jakarta.servlet.http.HttpServletRequest request)` |
    `String` | `getDestination​(String function, ScheduleEventSessionController scheduleeventSC, jakarta.servlet.http.HttpServletRequest request)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScheduleEventSimpleFormRequestHandler

          public ScheduleEventSimpleFormRequestHandler​(String jspDestination)

  - ### Method Detail

    - #### getDestination

          public String getDestination​(String function,
                                       ScheduleEventSessionController scheduleeventSC,
                                       jakarta.servlet.http.HttpServletRequest request)
                                throws org.silverpeas.kernel.SilverpeasException

      Specified by:
        `getDestination` in interface `ScheduleEventRequestHandler`
      Throws:
        `org.silverpeas.kernel.SilverpeasException`

    - #### getBackDestination

          public String getBackDestination​(String function,
                                           ScheduleEventSessionController scheduleeventSC,
                                           jakarta.servlet.http.HttpServletRequest request)
                                    throws org.silverpeas.kernel.SilverpeasException

      Specified by:
        `getBackDestination` in interface `ScheduleEventBackableRequestHandler`
      Throws:
        `org.silverpeas.kernel.SilverpeasException`